pvpgn_1.8.5-2build1_amd64.deb


Advertisement

Description

pvpgn - gaming server that emulates Battle.net(R)

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: pvpgn
Package version: 1.8.5
Package release: 2build1
Package architecture: amd64
Package type: deb
Installed size: 2.08 KB
Download size: 629.81 KB
Official Mirror: archive.ubuntu.com
The server currently implements most of the same functionality as the real Battle.net(R) servers from Blizzard Entertainment. You can chat, play games, use / commands, and things like account passwords, user icons, ad banners, and channel operators work too. It is by no means complete, though.

Alternatives

Provides

  • bnetd

Conflicts

  • bnetd

    Download

    Source package: pvpgn

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install pvpgn deb package:
      # sudo apt-get install pvpgn

    Files

    • /etc/init.d/pvpgn
    • /etc/logrotate.d/pvpgn
    • /etc/pvpgn/ad.conf
    • /etc/pvpgn/address_translation.conf
    • /etc/pvpgn/anongame_infos.conf
    • /etc/pvpgn/autoupdate.conf
    • /etc/pvpgn/bnalias.conf
    • /etc/pvpgn/bnban.conf
    • /etc/pvpgn/bnetd.conf
    • /etc/pvpgn/bnetd_default_user.cdb
    • /etc/pvpgn/bnetd_default_user.plain
    • /etc/pvpgn/bnhelp.conf
    • /etc/pvpgn/bnissue.txt
    • /etc/pvpgn/bnmaps.conf
    • /etc/pvpgn/bnmotd.txt
    • /etc/pvpgn/bnxpcalc.conf
    • /etc/pvpgn/bnxplevel.conf
    • /etc/pvpgn/channel.conf
    • /etc/pvpgn/command_groups.conf
    • /etc/pvpgn/d2cs.conf
    • /etc/pvpgn/d2dbs.conf
    • /etc/pvpgn/d2server.ini
    • /etc/pvpgn/news.txt
    • /etc/pvpgn/realm.conf
    • /etc/pvpgn/sql_DB_layout.conf
    • /etc/pvpgn/sql_DB_layout2.conf
    • /etc/pvpgn/supportfile.conf
    • /etc/pvpgn/topics.conf
    • /etc/pvpgn/tournament.conf
    • /etc/pvpgn/versioncheck.conf
    • /usr/bin/bnbot
    • /usr/bin/bnchat
    • /usr/bin/bnftp
    • /usr/bin/bni2tga
    • /usr/bin/bnibuild
    • /usr/bin/bniextract
    • /usr/bin/bnilist
    • /usr/bin/bnpass
    • /usr/bin/bnstat
    • /usr/bin/tgainfo
    • /usr/sbin/bnetd
    • /usr/sbin/bntrackd
    • /usr/sbin/d2cs
    • /usr/sbin/d2dbs
    • /usr/sbin/pvpgn-support-installer
    • /usr/share/doc/pvpgn/BUGS
    • /usr/share/doc/pvpgn/CREDITS.gz
    • /usr/share/doc/pvpgn/IGNOREME
    • /usr/share/doc/pvpgn/NEWS.gz
    • /usr/share/doc/pvpgn/README
    • /usr/share/doc/pvpgn/README.DEV.gz
    • /usr/share/doc/pvpgn/README.Debian
    • /usr/share/doc/pvpgn/README.storage.gz
    • /usr/share/doc/pvpgn/TODO
    • /usr/share/doc/pvpgn/UPDATE.gz
    • /usr/share/doc/pvpgn/bnmotd.txt
    • /usr/share/doc/pvpgn/changelog.Debian.gz
    • /usr/share/doc/pvpgn/copyright
    • /usr/share/man/man1/bnbot.1.gz
    • /usr/share/man/man1/bnchat.1.gz
    • /usr/share/man/man1/bnetd.1.gz
    • /usr/share/man/man1/bnftp.1.gz
    • /usr/share/man/man1/bni2tga.1.gz
    • /usr/share/man/man1/bnibuild.1.gz
    • /usr/share/man/man1/bniextract.1.gz
    • /usr/share/man/man1/bnilist.1.gz
    • /usr/share/man/man1/bnpass.1.gz
    • /usr/share/man/man1/bnstat.1.gz
    • /usr/share/man/man1/bntrackd.1.gz
    • /usr/share/man/man1/tgainfo.1.gz
    • /usr/share/man/man5/bnetd.conf.5.gz
    • /usr/share/man/man5/bntext.5.gz
    • /usr/share/man/man8/d2cs.8.gz
    • /usr/share/man/man8/d2dbs.8.gz
    • /usr/share/man/man8/pvpgn-support-installer.8.gz
    • /var/lib/pvpgn/files/ad000001.mng
    • /var/lib/pvpgn/files/ad000001.smk
    • /var/lib/pvpgn/files/ad000004.mng
    • /var/lib/pvpgn/files/chathelp-war3-default.txt
    • /var/lib/pvpgn/files/chathelp-war3-enUS.txt
    • /var/lib/pvpgn/files/chathelp-war3-frFR.txt
    • /var/lib/pvpgn/files/chathelp-war3-ruRU.txt
    • /var/lib/pvpgn/files/chathelp-war3-zhCN.txt
    • /var/lib/pvpgn/files/newaccount-default.txt
    • /var/lib/pvpgn/files/newaccount-enUS.txt
    • /var/lib/pvpgn/files/newbie.save
    • /var/lib/pvpgn/files/termsofservice-default.txt
    • /var/lib/pvpgn/files/termsofservice-enUS.txt
    • /var/lib/pvpgn/files/tos-unicode_BRA.txt
    • /var/lib/pvpgn/files/tos-unicode_CHI.txt
    • /var/lib/pvpgn/files/tos-unicode_DEU.txt
    • /var/lib/pvpgn/files/tos-unicode_ENU.txt
    • /var/lib/pvpgn/files/tos-unicode_ESP.txt
    • /var/lib/pvpgn/files/tos-unicode_FRA.txt
    • /var/lib/pvpgn/files/tos-unicode_HAN.txt
    • /var/lib/pvpgn/files/tos-unicode_ITA.txt
    • /var/lib/pvpgn/files/tos-unicode_JPN.txt
    • /var/lib/pvpgn/files/tos-unicode_KOR.txt
    • /var/lib/pvpgn/files/tos-unicode_POL.txt
    • /var/lib/pvpgn/files/tos-unicode_POR.txt
    • /var/lib/pvpgn/files/tos-unicode_RUS.txt
    • /var/lib/pvpgn/files/tos-unicode_SIN.txt
    • /var/lib/pvpgn/files/tos-unicode_USA.txt
    • /var/lib/pvpgn/files/tos.txt
    • /var/lib/pvpgn/files/tos_BRA.txt
    • /var/lib/pvpgn/files/tos_CHI.txt
    • /var/lib/pvpgn/files/tos_DEU.txt
    • /var/lib/pvpgn/files/tos_ENU.txt
    • /var/lib/pvpgn/files/tos_ESP.txt
    • /var/lib/pvpgn/files/tos_FRA.txt
    • /var/lib/pvpgn/files/tos_HAN.txt
    • /var/lib/pvpgn/files/tos_ITA.txt
    • /var/lib/pvpgn/files/tos_JPN.txt
    • /var/lib/pvpgn/files/tos_KOR.txt
    • /var/lib/pvpgn/files/tos_POL.txt
    • /var/lib/pvpgn/files/tos_POR.txt
    • /var/lib/pvpgn/files/tos_RUS.txt
    • /var/lib/pvpgn/files/tos_SIN.txt
    • /var/lib/pvpgn/files/tos_USA.txt

    Changelog

    2016-04-05 - Robie Basak <robie.basak@ubuntu.com> pvpgn (1.8.5-2build1) xenial; urgency=medium * Rebuild against libmysqlclient20.

    2013-10-24 - Dmitry Smirnov <onlyjob@debian.org> pvpgn (1.8.5-2) unstable; urgency=low * Added new "autoconf.patch" to fix error in "configure.in". * Simplified invocation of dh_autoreconf in subdirectory: replaced corresponding overrides with "debian/autoreconf" file. * Use autotools-dev to update config.{guess,sub} (Closes: #727494): This is one of those rare cases when dh-autoreconf do not update config.{sub,guess} so we use autotools-dev in addition to dh-autoreconf, see #698765. * Removed redundant "autoconf" from Build-Depends, dh-autoreconf already depends on it.

    2013-10-22 - Dmitry Smirnov <onlyjob@debian.org> pvpgn (1.8.5-1) unstable; urgency=low * New upstream release [February 2009]. * Install upstream changelog. * Added new watch file, based on watch written by Bart Martens. + lintian-override for "debian-watch-file-should-use-sf-redirector". * Updated Homepage URL. * Corrected capitalisation in short package description. * Standards to 3.9.4 * Source to "3.0 (quilt)" format. * Debhelper & compat to version 9. * dh-style rules, no longer use cdbs. * autotools-dev --> dh-autoreconf. * Dropped "libmysqlclient15-dev" alternative from Build-Depends. * Dropped worthless upstream docs (i.g. how to build instructions etc.). * Build with "--with-sqlite3"; Build-Depends: +libsqlite3-dev. * Build with all hardening. * Added new patch to enable verbose build. * Added new patch with spelling corrections. * Moved man pages to "debian/man"; corrected "hyphen-used-as-minus-sign". * pvpgn-support-installer: + updated support files' archive name + downloader fixes. + replaced hard-coded archive name with variable. + added new file "ver-ix86-1.mpq" to clean-up. + alphabetised list of files to clean. + increased verbosity of file copy/remove operations. * init.d: + init.d-script-does-not-source-init-functions. + init.d-script-missing-lsb-description. + status support. + updated list of files from "pvpgn-support-1.2.tar.gz"; fixed daemon start. + improved message about getting support files. * Updated URL to support files archive in README.Debian. * Suggests: mysql-server (Closes: #667659). * "bnetd.log" moved to "/var/log/pvpgn" (Closes: #578010). * Install logrotate config. * Fixed ladders directory (Closes: #578012). * Corrected paths (dirs should be in "/var/lib/pvpgn", not in "/var/lib/pvpgn/files"). * Unbundle tinycdb: + added new patch to link with libcdb. + Build-Depends: +libcdb-dev. + Recommends: +tinycdb (provides `cdb`). - no longer install `bncdb` and its man page (use `cdb` instead). * "debian/copyright" to copyright-format-1.0 + audit. * Added myself to Uploaders. * Added VCS links to new repository at collab-maint.

    2010-10-25 - Jari Aalto <jari.aalto@cante.net> pvpgn (1.8.1-2.1) unstable; urgency=low * Non-maintainer upload. * debian/compat - Update deprecated 5 to 8. * debian/control - (Depends): Update deprecated debhelper 4 to 8. - (Homepage): New. - (Standards-Version): Update to 3.9.1. - pvpgn + (Depends): Add ${misc:Depends}. + (Suggests): Add mysql-server-5.1 (Closes: #578011). * debian/copyright - Update layout. Add FSF License preamble. * debian/{init.d,pvpgn-support-installer} - Fix bashism, patch idea thanks to Prach Pongpanich <prachpub@gmail.com> with the exception that use plain echo. (Closes: #530166). - Clean up extra whitespaces. Move "set -e" and variable definitions to the beginning of file. Prefer POSIX $(<command substitution>). * debian/postinst - Change "sh -e" to safer "set -e". * debian/README.Debian - Fix spelling typo. * d2dbs.8 - Change d2cs occurrences to d2dbs (Closes: #578013).

    Advertisement
    Advertisement